summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJohn Garland <johnnybg+deluge@gmail.com>2012-02-16 14:25:57 +1100
committerJohn Garland <johnnybg+deluge@gmail.com>2012-12-02 15:08:58 +1100
commit2e0b0d9474f6f498abbbda5c549064c0dae6fbcb (patch)
treecf037177424f7ddf6f56826409bae29ffa853460
parent0e4101a9a3b17d383479ef79cf72ea79acde2468 (diff)
downloaddeluge-2e0b0d9474f6f498abbbda5c549064c0dae6fbcb.zip
deluge-2e0b0d9474f6f498abbbda5c549064c0dae6fbcb.tar.gz
deluge-2e0b0d9474f6f498abbbda5c549064c0dae6fbcb.tar.bz2
Make web build script sh compatible
-rwxr-xr-xdeluge/ui/web/build4
1 files changed, 2 insertions, 2 deletions
diff --git a/deluge/ui/web/build b/deluge/ui/web/build
index 0c19677..ad89442 100755
--- a/deluge/ui/web/build
+++ b/deluge/ui/web/build
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/sh
BASE_DIR="${PWD}/`dirname ${0}`"
BASE_DIR=`readlink -f "$BASE_DIR"`
@@ -32,7 +32,7 @@ check_file()
FILE=$1
LAST_BUILD=`grep $FILE $BUILD_DATA`
- if [ $? == 1 ]; then return 1; fi;
+ if [ $? = 1 ]; then return 1; fi;
CURRENT=`grep $FILE $BUILD_DATA.tmp`